### Eclipse Workspace Patch 1.0
#P org.jboss.tools.seam.ui.test
Index: src/org/jboss/tools/seam/ui/test/wizard/PackageNamesTest.java
===================================================================
--- src/org/jboss/tools/seam/ui/test/wizard/PackageNamesTest.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/test/wizard/PackageNamesTest.java	(working copy)
@@ -12,13 +12,12 @@
 
 import junit.framework.TestCase;
 
-import org.eclipse.jface.wizard.IWizardPage;
 import org.eclipse.jface.wizard.WizardDialog;
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.wst.common.componentcore.datamodel.properties.IFacetDataModelProperties;
 import org.eclipse.wst.web.ui.internal.wizards.NewProjectDataModelFacetWizard;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.ISeamUiConstants;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.internal.project.facet.SeamInstallWizardPage;
 import org.jboss.tools.test.util.JobUtils;
 import org.jboss.tools.test.util.WorkbenchUtils;
@@ -69,7 +68,7 @@
 		// delay is needed to wait for dialog initialization is finished
 		// such as default runtime and configuration for seam wizard
 		JobUtils.delay(2000);
-		seamWizPg = (SeamInstallWizardPage)wizard.getPage(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
+		seamWizPg = (SeamInstallWizardPage)wizard.getPage(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
 	}
 
 	public void testProjectNameWithUnderlines() {
#P org.jboss.tools.seam.ui
Index: src/org/jboss/tools/seam/ui/SeamUiImages.java
===================================================================
--- src/org/jboss/tools/seam/ui/SeamUiImages.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/SeamUiImages.java	(working copy)
@@ -17,6 +17,7 @@
 import org.eclipse.jface.action.IAction;
 import org.eclipse.jface.resource.ImageDescriptor;
 import org.eclipse.swt.graphics.Image;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 public class SeamUiImages {
 
@@ -63,7 +64,7 @@
 	
 	protected SeamUiImages(URL registryUrl, SeamUiImages parent){
 
-		if(registryUrl == null) throw new IllegalArgumentException(SeamUIMessages.SEAM_UI_IMAGESBASE_URL_FOR_IMAGE_REGISTRY_CANNOT_BE_NULL);
+		if(registryUrl == null) throw new IllegalArgumentException(SeamCoreMessages.SEAM_UI_IMAGESBASE_URL_FOR_IMAGE_REGISTRY_CANNOT_BE_NULL);
 		baseUrl = registryUrl;
 		parentRegistry = parent;
 	}
@@ -90,7 +91,7 @@
 	}
 
 	private URL makeIconFileURL(String name) throws MalformedURLException {
-		if (name == null) throw new MalformedURLException(SeamUIMessages.SEAM_UI_IMAGESIMAGE_NAME_CANNOT_BE_NULL);
+		if (name == null) throw new MalformedURLException(SeamCoreMessages.SEAM_UI_IMAGESIMAGE_NAME_CANNOT_BE_NULL);
 		return new URL(baseUrl, name);
 	}	
 
Index: src/org/jboss/tools/seam/ui/views/actions/RenameComponentAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/views/actions/RenameComponentAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/views/actions/RenameComponentAction.java	(working copy)
@@ -22,9 +22,9 @@
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.ISeamXmlComponentDeclaration;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.internal.core.SeamObject;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.refactoring.SeamRefactorContributionFactory;
 
 /**
@@ -38,7 +38,7 @@
 	}
 
 	public RenameComponentAction(ISeamComponent component) {
-		setText(SeamUIMessages.RENAME_SEAM_COMPONENT);
+		setText(SeamCoreMessages.RENAME_SEAM_COMPONENT);
 		this.component = component;
 	}
 
Index: src/org/jboss/tools/seam/ui/views/actions/SeamOpenAction.java
===================================================================
--- src/org/jboss/tools/seam/ui/views/actions/SeamOpenAction.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/views/actions/SeamOpenAction.java	(working copy)
@@ -12,7 +12,7 @@
 
 import org.eclipse.jface.action.Action;
 import org.jboss.tools.seam.core.IOpenableElement;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 /**
  * @author Viacheslav Kabanovich
@@ -21,7 +21,7 @@
 	IOpenableElement element;
 	
 	public SeamOpenAction(IOpenableElement element) {
-		setText(SeamUIMessages.SEAM_OPEN_ACTION_OPEN);
+		setText(SeamCoreMessages.SEAM_OPEN_ACTION_OPEN);
 		this.element = element;
 	}
 	
Index: src/org/jboss/tools/seam/ui/views/actions/SeamViewLayoutActionGroup.java
===================================================================
--- src/org/jboss/tools/seam/ui/views/actions/SeamViewLayoutActionGroup.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/views/actions/SeamViewLayoutActionGroup.java	(working copy)
@@ -26,7 +26,7 @@
 import org.eclipse.ui.IWorkbenchActionConstants;
 import org.eclipse.ui.actions.ActionGroup;
 import org.eclipse.ui.navigator.IExtensionStateModel;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.ui.views.ViewConstants;
 
 /**
@@ -91,13 +91,13 @@
 			IMenuManager viewMenu = actionBars.getMenuManager();
 			// Create layout sub menu
 			if (layoutSubMenu == null) {
-				layoutSubMenu = new MenuManager(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SEAM_PACKAGES, SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SEAM_PACKAGES);
+				layoutSubMenu = new MenuManager(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SEAM_PACKAGES, SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SEAM_PACKAGES);
 				addLayoutActions(layoutSubMenu);
 				viewMenu.insertAfter(IWorkbenchActionConstants.MB_ADDITIONS, new Separator(LAYOUT_GROUP_NAME));
 			}
 			
 			if(scopeSubMenu == null) {
-				scopeSubMenu = new MenuManager(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SCOPE_PRESENTATION, SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SCOPE_PRESENTATION);
+				scopeSubMenu = new MenuManager(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SCOPE_PRESENTATION, SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_SCOPE_PRESENTATION);
 				addScopeActions(scopeSubMenu);
 			}
 
@@ -162,7 +162,7 @@
 				int style = SWT.RADIO;
 				MenuItem mi = new MenuItem(menu, style, index);
 				flatLayoutItem = mi;
-				mi.setText(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_FLAT);
+				mi.setText(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_FLAT);
 				mi.setSelection(isFlatLayout);
 				mi.addSelectionListener(new SelectionAdapter() {
 					@Override
@@ -192,7 +192,7 @@
 				int style = SWT.RADIO;
 				MenuItem mi = new MenuItem(menu, style, index);
 				hierarchicalLayoutItem = mi;
-				mi.setText(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_HIERARCHICAL);
+				mi.setText(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_HIERARCHICAL);
 				mi.setSelection(!isFlatLayout);
 				mi.addSelectionListener(new SelectionAdapter() {
 					@Override
@@ -225,7 +225,7 @@
 				int style = SWT.RADIO;
 				MenuItem mi = new MenuItem(menu, style, index);
 				labelScopeItem = mi;
-				mi.setText(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_LABEL);
+				mi.setText(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_LABEL);
 				mi.setSelection(isScopeLable);
 				mi.addSelectionListener(new SelectionAdapter() {
 					@Override
@@ -255,7 +255,7 @@
 				int style = SWT.RADIO;
 				MenuItem mi = new MenuItem(menu, style, index);
 				nodeScopeItem = mi;
-				mi.setText(SeamUIMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_NODE);
+				mi.setText(SeamCoreMessages.SEAM_VIEW_LAYOUT_ACTION_GROUP_NODE);
 				mi.setSelection(!isScopeLable);
 				mi.addSelectionListener(new SelectionAdapter() {
 					@Override
Index: src/org/jboss/tools/seam/ui/views/SeamProjectLabelProvider.java
===================================================================
--- src/org/jboss/tools/seam/ui/views/SeamProjectLabelProvider.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/views/SeamProjectLabelProvider.java	(working copy)
@@ -11,7 +11,7 @@
 package org.jboss.tools.seam.ui.views;
 
 import org.jboss.tools.seam.core.ISeamProject;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 
 /**
  * This implementation is designed for standard Projects Explorer 
@@ -27,7 +27,7 @@
 	@Override
 	public String getText(Object element) {
 		if(element instanceof ISeamProject) {
-			return SeamUIMessages.SEAM_PROJECT_LABEL_PROVIDER_SEAM_COMPONENTS;
+			return SeamCoreMessages.SEAM_PROJECT_LABEL_PROVIDER_SEAM_COMPONENTS;
 		}		
 		return super.getText(element);
 	}
Index: src/org/jboss/tools/seam/ui/views/AbstractSeamContentProvider.java
===================================================================
--- src/org/jboss/tools/seam/ui/views/AbstractSeamContentProvider.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/views/AbstractSeamContentProvider.java	(working copy)
@@ -43,10 +43,10 @@
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.ISeamScope;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.event.ISeamProjectChangeListener;
 import org.jboss.tools.seam.core.event.SeamProjectChangeEvent;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 
 /**
  * Basic type for content providers that add seam components 
@@ -220,7 +220,7 @@
 		if(o instanceof ISeamElement) {
 			refresh(o);
 		} else {
-			SeamGuiPlugin.getPluginLog().logError(SeamUIMessages.ABSTRACT_SEAM_CONTENT_PROVIDER_SEAM_PROJECT_CHANGE_EVENT_OCCURS_BUT_NO_SORCE_OF_PROJECT_PROVIDED);
+			SeamGuiPlugin.getPluginLog().logError(SeamCoreMessages.ABSTRACT_SEAM_CONTENT_PROVIDER_SEAM_PROJECT_CHANGE_EVENT_OCCURS_BUT_NO_SORCE_OF_PROJECT_PROVIDED);
 		}
 	}
 
Index: src/org/jboss/tools/seam/ui/internal/project/facet/SeamInstallWizardPage.java
===================================================================
--- src/org/jboss/tools/seam/ui/internal/project/facet/SeamInstallWizardPage.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/internal/project/facet/SeamInstallWizardPage.java	(working copy)
@@ -67,6 +67,7 @@
 import org.jboss.tools.common.ui.widget.editor.IFieldEditorFactory;
 import org.jboss.tools.common.ui.widget.editor.ITaggedFieldEditor;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.SeamUtil;
 import org.jboss.tools.seam.core.project.facet.SeamProjectPreferences;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
@@ -74,7 +75,7 @@
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.internal.core.project.facet.SeamFacetInstallDataModelProvider;
-import org.jboss.tools.seam.ui.SeamUIMessages;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.wizard.SeamFormWizard;
 import org.jboss.tools.seam.ui.wizard.SeamWizardFactory;
 import org.jboss.tools.seam.ui.wizard.SeamWizardUtils;
@@ -87,7 +88,7 @@
 public class SeamInstallWizardPage extends AbstractFacetWizardPage implements
 		IFacetWizardPage, IDataModelListener {
 
-	public static final String PAGE_DESCRIPTION = SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CONFIGURE_SEAM_FACET_SETTINGS;
+	public static final String PAGE_DESCRIPTION = SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CONFIGURE_SEAM_FACET_SETTINGS;
 
 	private static final DriverClassHelpers HIBERNATE_HELPER = new DriverClassHelpers();
 
@@ -100,13 +101,13 @@
 	private IFieldEditor ejbProjectNameditor = IFieldEditorFactory.INSTANCE
 	.createTextEditor(
 			ISeamFacetDataModelProperties.SEAM_EJB_PROJECT,
-			SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_EJB_PROJECT_NAME,
+			SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_EJB_PROJECT_NAME,
 			""); //$NON-NLS-1$
 
 	private IFieldEditor earProjectNameditor = IFieldEditorFactory.INSTANCE
 	.createTextEditor(
 			ISeamFacetDataModelProperties.SEAM_EAR_PROJECT,
-			SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_EAR_PROJECT_NAME,
+			SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_EAR_PROJECT_NAME,
 			""); //$NON-NLS-1$
 	
 	private IFieldEditor libraryListEditor;
@@ -114,7 +115,7 @@
 	private IFieldEditor jBossAsDeployAsEditor = IFieldEditorFactory.INSTANCE
 			.createRadioEditor(
 					ISeamFacetDataModelProperties.JBOSS_AS_DEPLOY_AS,
-					SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DEPLOY_AS, Arrays
+					SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DEPLOY_AS, Arrays
 							.asList(new String[] {
 									ISeamFacetDataModelProperties.DEPLOY_AS_WAR
 											.toUpperCase(),
@@ -141,31 +142,31 @@
 	private IFieldEditor sessionBeanPkgNameditor = IFieldEditorFactory.INSTANCE
 			.createTextEditor(
 					ISeamFacetDataModelProperties.SESSION_BEAN_PACKAGE_NAME,
-					SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SESSION_BEAN_PACKAGE_NAME,
+					SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SESSION_BEAN_PACKAGE_NAME,
 					""); //$NON-NLS-1$
 
 	private IFieldEditor entityBeanPkgNameditor = IFieldEditorFactory.INSTANCE
 			.createTextEditor(
 					ISeamFacetDataModelProperties.ENTITY_BEAN_PACKAGE_NAME,
-					SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_ENTITY_BEAN_PACKAGE_NAME,
+					SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_ENTITY_BEAN_PACKAGE_NAME,
 					""); //$NON-NLS-1$
 
 	private IFieldEditor createTestProjectCheckboxeditor = IFieldEditorFactory.INSTANCE
 	.createCheckboxEditor(
 			ISeamFacetDataModelProperties.TEST_PROJECT_CREATING,
-			SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CREATE_TEST_PROJECT,
+			SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CREATE_TEST_PROJECT,
 			true);
 	
 	private IFieldEditor testProjectNameditor = IFieldEditorFactory.INSTANCE
 	.createTextEditor(
 			ISeamFacetDataModelProperties.SEAM_TEST_PROJECT,
-			SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_TEST_PROJECT_NAME,
+			SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_TEST_PROJECT_NAME,
 			""); //$NON-NLS-1$
 
 	private IFieldEditor testsPkgNameditor = IFieldEditorFactory.INSTANCE
 			.createTextEditor(
 					ISeamFacetDataModelProperties.TEST_CASES_PACKAGE_NAME,
-					SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_TEST_PACKAGE_NAME,
+					SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_TEST_PACKAGE_NAME,
 					""); //$NON-NLS-1$
 	
 	private Group databaseGroup;
@@ -174,8 +175,8 @@
 	 * 
 	 */
 	public SeamInstallWizardPage() {
-		super(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
-		setTitle(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
+		super(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
+		setTitle(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_SEAM_FACET);
 		setImageDescriptor(ImageDescriptor.createFromFile(SeamFormWizard.class,
 				"SeamWebProjectWizBan.png")); //$NON-NLS-1$
 		setDescription(PAGE_DESCRIPTION);
@@ -315,7 +316,7 @@
 		
 		model.setBooleanProperty(ISeamFacetDataModelProperties.SEAM_TEMPLATES_AND_LIBRARIES_COPYING, isNewProjectWizard());
 		
-		model.setBooleanProperty(ISeamFacetDataModelProperties.SEAM_RUNTIME_LIBRARIES_COPYING, libraryListEditor.getValueAsString().equals(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES) && isNewProjectWizard());
+		model.setBooleanProperty(ISeamFacetDataModelProperties.SEAM_RUNTIME_LIBRARIES_COPYING, libraryListEditor.getValueAsString().equals(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES) && isNewProjectWizard());
 	}
 	
 	/*
@@ -404,7 +405,7 @@
 		root.setLayout(gridLayout);
 		Group generalGroup = new Group(root, SWT.NONE);
 		generalGroup.setLayoutData(gd);
-		generalGroup.setText(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_GENERAL);
+		generalGroup.setText(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_GENERAL);
 		gridLayout = new GridLayout(3, false);
 
 		generalGroup.setLayout(gridLayout);
@@ -416,12 +417,12 @@
 		earProjectNameditor.setEnabled(getDeployAsDefaultValue().equals(ISeamFacetDataModelProperties.DEPLOY_AS_EAR));
 		
 		List<String> providers = new ArrayList<String>();
-		providers.add(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES);
-		providers.add(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CONFIGURE_LATER);
+		providers.add(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_COPY_LIBRARIES);
+		providers.add(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CONFIGURE_LATER);
 		
 		libraryListEditor = IFieldEditorFactory.INSTANCE.createComboEditor(
 				ISeamFacetDataModelProperties.SEAM_LIBRARY_PROVIDER,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_LIBRARIES,
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_LIBRARIES,
 				providers,
 				providers.get(0));
 		
@@ -443,13 +444,13 @@
 
 		databaseGroup = new Group(root, SWT.NONE);
 		databaseGroup.setLayoutData(gd);
-		databaseGroup.setText(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE);
+		databaseGroup.setText(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE);
 		gridLayout = new GridLayout(4, false);
 		databaseGroup.setLayout(gridLayout);
 		
 		jBossHibernateDbTypeEditor = IFieldEditorFactory.INSTANCE
 		.createComboEditor(ISeamFacetDataModelProperties.DB_TYPE,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_TYPE,
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_TYPE,
 				Arrays.asList(HIBERNATE_HELPER.getDialectNames()),
 				getDefaultDbType(), false);
 		registerEditor(jBossHibernateDbTypeEditor, databaseGroup, 4);
@@ -465,7 +466,7 @@
 
 		generationGroup.setLayoutData(gd);
 		generationGroup
-				.setText(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CODE_GENERATION);
+				.setText(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CODE_GENERATION);
 		gridLayout = new GridLayout(3, false);
 		generationGroup.setLayout(gridLayout);
 		registerEditor(sessionBeanPkgNameditor, generationGroup, 3);
@@ -555,7 +556,7 @@
 		} else {
 			/*jBossHibernateDbTypeEditor = IFieldEditorFactory.INSTANCE
 			.createComboEditor(ISeamFacetDataModelProperties.DB_TYPE,
-					SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_TYPE,
+					SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_TYPE,
 					Arrays.asList(HIBERNATE_HELPER.getDialectNames()),
 					getDefaultDbType(), false);*/
 			connProfileSelEditor = SeamWizardFactory
@@ -570,12 +571,12 @@
 			dbSchemaName = IFieldEditorFactory.INSTANCE
 				.createTextEditor(
 						ISeamFacetDataModelProperties.DB_DEFAULT_SCHEMA_NAME,
-						SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_SCHEMA_NAME,
+						SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_SCHEMA_NAME,
 						""); //$NON-NLS-1$
 			dbCatalogName = IFieldEditorFactory.INSTANCE
 				.createTextEditor(
 						ISeamFacetDataModelProperties.DB_DEFAULT_CATALOG_NAME,
-						SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_CATALOG_NAME,
+						SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DATABASE_CATALOG_NAME,
 						"");	//$NON-NLS-1$
 			
 			jBossHibernateDbTypeEditor
@@ -596,12 +597,12 @@
 		dbTablesExists = IFieldEditorFactory.INSTANCE
 		.createCheckboxEditor(
 				ISeamFacetDataModelProperties.DB_ALREADY_EXISTS,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_DB_TABLES_ALREADY_EXISTS,
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_DB_TABLES_ALREADY_EXISTS,
 				false);
 		recreateTablesOnDeploy = IFieldEditorFactory.INSTANCE
 		.createCheckboxEditor(
 				ISeamFacetDataModelProperties.RECREATE_TABLES_AND_DATA_ON_DEPLOY,
-				SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_RECREATE_DATABASE_TABLES_AND_DATA_ON_DEPLOY,
+				SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_RECREATE_DATABASE_TABLES_AND_DATA_ON_DEPLOY,
 				false);
 		registerEditor(dbTablesExists, databaseGroup, 4);
 		registerEditor(recreateTablesOnDeploy, databaseGroup, 4);
@@ -833,7 +834,7 @@
 			if (((IStatus.ERROR | IStatus.WARNING) & status.getSeverity() ) != 0 ){
 				return doPackStatus(status,
 					fieldName,
-					NLS.bind(SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_PACKAGE_NAME_NOT_VALID,
+					NLS.bind(SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_PACKAGE_NAME_NOT_VALID,
 					targetName));
 			}
 			return SeamValidatorFactory.NO_ERRORS;
@@ -870,11 +871,11 @@
 					if("".equals(testProjectName.trim()))
 						return doPackStatus(status,
 								propertyName,
-								SeamUIMessages.VALIDATOR_FACTORY_TEST_PROJECT_CANNOT_BE_EMPTY);
+								SeamCoreMessages.VALIDATOR_FACTORY_TEST_PROJECT_CANNOT_BE_EMPTY);
 					
 					return doPackStatus(status,
 							propertyName,
-							NLS.bind(SeamUIMessages.VALIDATOR_FACTORY_TEST_PROJECT_ALREADY_EXISTS,
+							NLS.bind(SeamCoreMessages.VALIDATOR_FACTORY_TEST_PROJECT_ALREADY_EXISTS,
 									testProjectName));
 				}
 			}
@@ -888,11 +889,11 @@
 					if("".equals(earProjectName.trim()))
 						return doPackStatus(status,
 								propertyName,
-								SeamUIMessages.VALIDATOR_FACTORY_EAR_PROJECT_CANNOT_BE_EMPTY);
+								SeamCoreMessages.VALIDATOR_FACTORY_EAR_PROJECT_CANNOT_BE_EMPTY);
 					
 					return doPackStatus(status,
 							propertyName,
-							NLS.bind(SeamUIMessages.VALIDATOR_FACTORY_EAR_PROJECT_ALREADY_EXISTS,
+							NLS.bind(SeamCoreMessages.VALIDATOR_FACTORY_EAR_PROJECT_ALREADY_EXISTS,
 									earProjectName));
 				}
 
@@ -904,11 +905,11 @@
 					if("".equals(ejbProjectName.trim()))
 						return doPackStatus(status,
 								propertyName,
-								SeamUIMessages.VALIDATOR_FACTORY_EJB_PROJECT_CANNOT_BE_EMPTY);
+								SeamCoreMessages.VALIDATOR_FACTORY_EJB_PROJECT_CANNOT_BE_EMPTY);
 
 					return doPackStatus(status,
 							propertyName,
-							NLS.bind(SeamUIMessages.VALIDATOR_FACTORY_EJB_PROJECT_ALREADY_EXISTS,
+							NLS.bind(SeamCoreMessages.VALIDATOR_FACTORY_EJB_PROJECT_ALREADY_EXISTS,
 									ejbProjectName));
 				}
 			}
@@ -973,7 +974,7 @@
 											IStatus.ERROR,
 											SeamCorePlugin.PLUGIN_ID,
 											NLS.bind(
-													SeamUIMessages.SEAM_INSTALL_WIZARD_PAGE_CANNOT_USE_SELECTED_DEPLOYMENT6,
+													SeamCoreMessages.SEAM_INSTALL_WIZARD_PAGE_CANNOT_USE_SELECTED_DEPLOYMENT6,
 													new String[] {
 														deploymentType.toUpperCase(),
 														runtimeName.toString() })));
Index: src/org/jboss/tools/seam/ui/internal/project/facet/DataModelValidatorDelegate.java
===================================================================
--- src/org/jboss/tools/seam/ui/internal/project/facet/DataModelValidatorDelegate.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/internal/project/facet/DataModelValidatorDelegate.java	(working copy)
@@ -23,6 +23,7 @@
 import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
 import org.eclipse.wst.common.frameworks.datamodel.IDataModelListener;
 import org.jboss.tools.common.ui.IValidator;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 
 /**
  * Delegate class used during validation process in wizard dialog. It contains 
Index: src/org/jboss/tools/seam/ui/marker/AbstractSeamMarkerResolution.java
===================================================================
--- src/org/jboss/tools/seam/ui/marker/AbstractSeamMarkerResolution.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/marker/AbstractSeamMarkerResolution.java	(working copy)
@@ -30,8 +30,8 @@
 import org.jboss.tools.common.refactoring.MarkerResolutionUtils;
 import org.jboss.tools.seam.core.ISeamProject;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.internal.core.project.facet.SeamValidatorFactory;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.internal.project.facet.SeamValidatorFactory;
 
 /**
  * @author Daniel Azarov
Index: src/org/jboss/tools/seam/ui/marker/AddNewSeamRuntimeMarkerResolution.java
===================================================================
--- src/org/jboss/tools/seam/ui/marker/AddNewSeamRuntimeMarkerResolution.java	(revision 39311)
+++ src/org/jboss/tools/seam/ui/marker/AddNewSeamRuntimeMarkerResolution.java	(working copy)
@@ -29,12 +29,12 @@
 import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
 import org.jboss.tools.seam.core.SeamCorePlugin;
+import org.jboss.tools.seam.core.SeamCoreMessages;
 import org.jboss.tools.seam.core.project.facet.SeamRuntime;
 import org.jboss.tools.seam.core.project.facet.SeamRuntimeManager;
 import org.jboss.tools.seam.core.project.facet.SeamVersion;
 import org.jboss.tools.seam.internal.core.project.facet.ISeamFacetDataModelProperties;
 import org.jboss.tools.seam.ui.SeamGuiPlugin;
-import org.jboss.tools.seam.ui.SeamUIMessages;
 import org.jboss.tools.seam.ui.preferences.SeamPreferencesMessages;
 import org.jboss.tools.seam.ui.widget.editor.SeamRuntimeListFieldEditor;
 
@@ -52,7 +52,7 @@
 		
 		IEclipsePreferences preferences = SeamCorePlugin.getSeamPreferences(project);
 		runtimeName = preferences.get(ISeamFacetDataModelProperties.SEAM_RUNTIME_NAME,"");
-		this.label = MessageFormat.format(SeamUIMessages.ADD_NEW_SEAM_RUNTIME_MARKER_RESOLUTION_TITLE, new Object[]{runtimeName});
+		this.label = MessageFormat.format(SeamCoreMessages.ADD_NEW_SEAM_RUNTIME_MARKER_RESOLUTION_TITLE, new Object[]{runtimeName});
 	}
 
 	public String getLabel() {
